Subject: Re: [eman] eman requirements: "max/average" to "typical"

From: Daniel Kharitonov <[email-masked]>
Date: Sat, 29 Sep 2012 02:24:21 +0000

If I may have one comment on power state in network devices, I would say they are neither linear nor can be fully described with maximum and average power use.

The needed descriptive strings for power states should be at least expressed as changes in operational properties - performance, latency and such. A less obvious but critical parameter would the time to transition in/out of this state.

Example 1.

A switch consists of interfaces, fabric, lookup engines and power supplies. Each group of components may have one or more dimensions of power states that can be changed independently.

Note, that the knowledge of own power use for a group of components can be incomplete and/or not sum up to a full system.

Example 2.

EnNMS is discovering a device that reports a set of power states along with max/average power use. Since device describes neither performance targets nor times to transition between them, EnNMS can only make a decision based on desired power use in the device. This may lead to mismatch between power state and device usability.

________________________________________
From: [email-masked] on behalf of Juergen Quittek
Sent: Thursday, September 27, 2012 11:45:14 AM
To: John Parello (jparello); eman mailing list
Subject: Re: [eman] eman requirements: "max/average" to "typical"

Hi John,

Thank you for your comment.  This would look like

OLD
   5.4.6.  Maximum and average power per Power State

   The standard must provide means for retrieving the maximum power and
   the average power for each supported Power State.  These values may
   be static.

NEW
   5.4.6. Maximum and typical power per Power State

   The standard must provide means for retrieving the maximum power and
   the typical power for each supported Power State.

I don't think we need the sentence on values being static.

Who would have a problem with this version?

Thanks,
    Juergen

On 27.09.12 19:14, "John Parello (jparello)" <[email-masked]> wrote:

>HI Juergen,
>
>Thanks. I agree that typical is more useful than average but you  threw
>out max.
>
>In our implementations each power state has a maximum value that the
>device will use for that state. Typical  and average is too lose a term
>for management.
>
>If I have three power states say low, medium, high and the device reports
>typical power as 10,20, and 30W. I have no way of knowing that if I set
>the device to low it will not exceed the 10W and run at  30W.
>
>We implemented the Max to allow device vendors to give specifics so that
>the mgt stations can have a hope of controlling the aggregate power. If
>you loosen the requirement to typical you effectively have no predictable
>control.
>
>Having Max is also in line with the way PoE states are communicated where
>depending on which PoE spec you implement you give 3 or 5 states and give
>the maximum at each state.
>
>So yes on typical over average but you must have  max as well.
>
>Jp
>
>
>
>
>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On Behalf Of
>Juergen Quittek
>Sent: Thursday, September 27, 2012 5:17 AM
>To: eman mailing list
>Subject: [eman] eman requirements: "max/average" to "typical"
>
>Dear all,
>
>Here is an issue from discussing received comments on the eman
>requirements:
>
>The current version asks for means for reporting maximum and average
>power for each power state.  The comment raised the point that these may
>not be well defined.  Mouli and I discussed this and came up with the
>following
>proposal:
>
>OLD
>   5.4.6.  Maximum and average power per Power State
>
>   The standard must provide means for retrieving the maximum power and
>   the average power for each supported Power State.  These values may
>   be static.
>
>NEW
>
>   5.4.6.  Typical power per Power State
>
>   The standard must provide means for retrieving the typical power for
>   each supported Power State.
>
>The assumption is that a "typical" power meets more the requirements by
>an energy management system and would be more useful than a not well
>defined "average" value.
>
>Please give us your opinions on this proposal.
>
>Thanks,
>    Juergen
>
>_______________________________________________
>eman mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/eman

_______________________________________________
eman mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/eman